petsc-3.4.2 2013-07-02

# PetscHMPIRun

runs a function on all the processes of a node

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscHMPIRun(MPI_Comm comm,PetscErrorCode (*f)(MPI_Comm,void*),void *ptr)

Collective on MPI_Comm

### Input Parameters

| comm | - communicator to run function on, must be PETSC_COMM_LOCAL_WORLD
| f | - function to run
| ptr | - pointer to data to pass to function; must be obtained with PetscHMPIMalloc()

Developer Notes: Since comm must be PETSC_COMM_LOCAL_WORLD, why have this argument?

### See Also

PetscHMPIMerge(), PetscHMPIMalloc(), PetscHMPIFree(), PetscHMPIRunCtx()

Level:developer
Location:src/sys/objects/mpinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages